Page MenuHomePhabricator

Deal with paypal EC error 11607, show thank you page
Closed, ResolvedPublic2 Story Points

Description

If a donor manages to make a second payment with the same EC token, we get error 11607: 'A successful transaction has already been completed for this token.'

That means we probably screwed up earlier by not showing them a TY page, but we shouldn't compound the error by showing them another error message. If we get this error, we should show the user the thank you page.

Event Timeline

Ejegg created this task.May 17 2017, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 9:03 PM
ggellerman triaged this task as High priority.May 23 2017, 7:52 PM
ggellerman set the point value for this task to 2.
Ejegg added a comment.Jun 16 2017, 8:01 PM

If we merge the patch in T167990, it'll probably keep us from getting any more of these, and we can throw this back in the backlog till any more show up.

Darn, we're getting a lot of these lately due to retrying paypal API timeouts. Should be an easy fix.

Change 376289 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Don't fail transaction on SuccessWithWarning

https://gerrit.wikimedia.org/r/376289

Ejegg claimed this task.

Change 376289 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Don't fail transaction on SuccessWithWarning

https://gerrit.wikimedia.org/r/376289

Ejegg closed this task as Resolved.Sep 7 2017, 6:27 PM